Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/rpmvercmp.c File Reference

More...

`#include "system.h"`
`#include <rpmlib.h>`
`#include "debug.h"`

Go to the source code of this file.

## Functions
int | rpmvercmp (const char *a, const char *b)

## Detailed Description

Definition in file rpmvercmp.c.

## Function Documentation

int rpmvercmp | ( | const char * | a,
|  | const char * | b
| ) |

  | Segmented string compare for version and/or release. Parameters:
  a | 1st string
  b | 2nd string
Returns: +1 if a is "newer", 0 if equal, -1 if b is "newer" Definition at line 15 of file rpmvercmp.c. References alloca, xisalnum, xisalpha, and xisdigit. Referenced by labelCompare, and rpmdsCompare.